Summary: Client side upgrade program
Name: rpm-ostree-client
Version: 2015.3
Release: 2.atomic%{?dist}
#VCS: https://github.com/cgwalters/rpm-ostree
# This tarball is generated via "make -f Makefile.dist-packaging dist-snapshot-without-compose-tooling"
Source0: %{name}-%{version}.tar.xz
License: LGPLv2+
URL: https://github.com/projectatomic/rpm-ostree
# We always run autogen.sh
BuildRequires: autoconf automake libtool
# For docs
BuildRequires: gtk-doc
BuildRequires: gnome-common
BuildRequires: pkgconfig(ostree-1) >= 2014.7
BuildRequires: pkgconfig(libgsystem)
BuildRequires: pkgconfig(json-glib-1.0)
BuildRequires: pkgconfig(hawkey) >= 0.5.0
BuildRequires: pkgconfig(rpm)
BuildRequires: libcap-devel

Requires: ostree >= 2014.7

Conflicts: rpm-ostree

%description
This tool binds together the world of RPM packages with
the OSTree model of bootable filesystem trees.  It provides commands
usable on client systems to upgrade and rollback.

%prep
%setup -q -n %{name}-%{version}

%build
env NOCONFIGURE=1 ./autogen.sh
%configure --disable-silent-rules --enable-patched-hawkey-and-libsolv --disable-compose-tooling
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p -c"

%files
%doc COPYING README.md
%{_bindir}/rpm-ostree
%{_libdir}/rpm-ostree/
%{_mandir}/man1/*.gz

%changelog
* Fri Jan 23 2015 Colin Walters <walters@redhat.com> - 2015.3-2.atomic
- New usptream release

* Fri Jan 23 2015 Colin Walters <walters@redhat.com> - 2015.2-3.atomic
- Drop /usr/bin/atomic symlink, this name is now taken by the docker
  package. 

* Fri Jan 09 2015 Colin Walters <walters@redhat.com> - 2015.2-2.atomic
- New upstream version

* Fri Dec 19 2014 Colin Walters <walters@redhat.com> - 2014.109-3.atomic
- Rebuild for 7.1

* Fri Oct 24 2014 Colin Walters <walters@redhat.com> - 2014.109-2.atomic
- New upstream version

* Thu Oct 16 2014 Colin Walters <walters@redhat.com> - 2014.108-2.atomic
- New upstream version

* Mon Sep 29 2014 Colin Walters <walters@redhat.com> - 2014.106.2.g0f16e2e-4.atomic
- rebuilt

* Mon Sep 29 2014 Colin Walters <walters@redhat.com> - 2014.106.2.g0f16e2e-3.atomic
- rebuilt

* Mon Sep 29 2014 Colin Walters <walters@redhat.com> - 2014.106.2.g0f16e2e-2.atomic
- rebuilt

* Wed Sep 17 2014 Colin Walters <walters@redhat.com>
- Initial split package for compose tooling
